commit 5389464dfd7a2fba8c1947ea7ea07fa0360dfe08
Author: freddy77 <freddy77>
Date:   Mon Jul 19 10:06:07 2010 +0000

    applied patch from Shatam Bhattacharya for blk_rowxfer

diff --git a/ChangeLog b/ChangeLog
index cd98157..a49531b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Jul 19 12:05:46 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/blk.c:
+	- applied patch from Shatam Bhattacharya for blk_rowxfer
+
 Sun Jul 18 09:26:18 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc_util.c: add some checks
 
@@ -2701,4 +2705,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3079 2010/07/18 07:26:24 freddy77 Exp $
+$Id: ChangeLog,v 1.3080 2010/07/19 10:06:07 freddy77 Exp $
diff --git a/src/ctlib/blk.c b/src/ctlib/blk.c
index b061b16..0818fed 100644
--- a/src/ctlib/blk.c
+++ b/src/ctlib/blk.c
@@ -1,5 +1,5 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
- * Copyright (C) 1998-2004, 2005  Brian Bruns, Bill Thompson
+ * Copyright (C) 1998-2004, 2005, 2010  Brian Bruns, Bill Thompson
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -38,7 +38,7 @@
 #include "ctlib.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: blk.c,v 1.52 2009/06/09 08:55:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: blk.c,v 1.53 2010/07/19 10:06:07 freddy77 Exp $");
 
 static void _blk_null_error(TDSBCPINFO *bcpinfo, int index, int offset);
 static int _blk_get_col_data(TDSBCPINFO *bulk, TDSCOLUMN *bcpcol, int offset);
@@ -435,11 +435,9 @@ blk_rowdrop(SRV_PROC * srvproc, CS_BLK_ROW * row)
 CS_RETCODE
 blk_rowxfer(CS_BLKDESC * blkdesc)
 {
-	CS_INT row_count = 1;
-
 	tdsdump_log(TDS_DBG_FUNC, "blk_rowxfer(%p)\n", blkdesc);
 
-	return blk_rowxfer_mult(blkdesc, &row_count);
+	return blk_rowxfer_mult(blkdesc, NULL);
 }
 
 CS_RETCODE

